|  | Home · All Classes · Modules

# QSpacerItem Class Reference
[QtGui module]

The QSpacerItem class provides blank space in a layout. More...

Inherits QLayoutItem.

### Methods

- __init__ (self, int w, int h, QSizePolicy.Policy hData = QSizePolicy.Minimum, QSizePolicy.Policy vData = QSizePolicy.Minimum)
- __init__ (self, QSpacerItem other)
- changeSize (self, int w, int h, QSizePolicy.Policy hData = QSizePolicy.Minimum, QSizePolicy.Policy vData = QSizePolicy.Minimum)
- Qt.Orientations expandingDirections (self)
- QRect geometry (self)
- bool isEmpty (self)
- QSize maximumSize (self)
- QSize minimumSize (self)
- setGeometry (self, QRect)
- QSize sizeHint (self)
- QSpacerItem spacerItem (self)

## Detailed Description

The QSpacerItem class provides blank space in a layout.

Normally, you don't need to use this class directly. Qt's built-in layout managers provide the following functions for manipulating empty space in layouts:

Class | Functions
--- | ---
QHBoxLayout | addSpacing(), addStretch(), insertSpacing(), insertStretch()
QGridLayout | setRowMinimumHeight(), setRowStretch(), setColumnMinimumWidth(), setColumnStretch()

See also QLayout, QWidgetItem, and QLayoutItem.spacerItem().

## Method Documentation

### QSpacerItem.__init__ (self, int w, int h, QSizePolicy.Policy hData = QSizePolicy.Minimum, QSizePolicy.Policy vData = QSizePolicy.Minimum)

Constructs a spacer item with preferred width w, preferred height h, horizontal size policy hPolicy and vertical size policy vPolicy.

The default values provide a gap that is able to stretch if nothing else wants the space.

### QSpacerItem.__init__ (self, QSpacerItem other)

### QSpacerItem.changeSize (self, int w, int h, QSizePolicy.Policy hData = QSizePolicy.Minimum, QSizePolicy.Policy vData = QSizePolicy.Minimum)

Changes this spacer item to have preferred width w, preferred height h, horizontal size policy hPolicy and vertical size policy vPolicy.

The default values provide a gap that is able to stretch if nothing else wants the space.

Note that if changeSize() is called after the spacer item has been added to a layout, it is necessary to invalidate the layout in order for the spacer item's new size to take effect.

See also QSpacerItem.invalidate().

### Qt.Orientations QSpacerItem.expandingDirections (self)

### QRect QSpacerItem.geometry (self)

### bool QSpacerItem.isEmpty (self)

Returns true.

Reimplemented from QLayoutItem.

### QSize QSpacerItem.maximumSize (self)

### QSize QSpacerItem.minimumSize (self)

### QSpacerItem.setGeometry (self, QRect)

### QSize QSpacerItem.sizeHint (self)

### QSpacerItem QSpacerItem.spacerItem (self)

Returns a pointer to this object.

Reimplemented from QLayoutItem.